# Defold Druid UI Library

# Module `Slider`

Druid slider component

## Functions

init(self, node, end_pos[, callback]) | Component init function
set(self, value[, is_silent]) | Set value for slider
set_input_node(self, input_node) | Set input zone for slider.
set_steps(self, steps) | Set slider steps.

## Fields

dist | Length between start and end position
end_pos | End pin node position
is_drag | Current drag state
node | Slider pin node
on_change_value | On change value callback(self, value)
pos | Current pin node position
start_pos | Start pin node position
target_pos | Targer pin node position
value | Current slider value

## Functions

init(self, node, end_pos[, callback])
  Component init function

  ### Parameters:

  - self Slider Slider
  - node node Gui pin node
  - end_pos vector3 The end position of slider
  - callback function On slider change callback (optional)
set(self, value[, is_silent])
  Set value for slider

  ### Parameters:

  - self Slider Slider
  - value number Value from 0 to 1
  - is_silent bool Don't trigger event if true (optional)
set_input_node(self, input_node)
  Set input zone for slider. User can touch any place of node, pin instantly will move at this position and node drag will start. This function require the Defold version 1.3.0+

  ### Parameters:

  - self Slider Slider
  - input_node Node

  ### Returns:

  Slider Slider
set_steps(self, steps)
  Set slider steps. Pin node will apply closest step position

  ### Parameters:

  - self Slider Slider
  - steps number[] Array of steps

  ### Returns:

  Slider Slider

  ### Usage:

      slider:set_steps({0, 0.2, 0.6, 1})

## Fields

dist
  Length between start and end position
  - dist number
end_pos
  End pin node position
  - end_pos vector3
is_drag
  Current drag state
  - is_drag bool
node
  Slider pin node
  - node node
on_change_value
  On change value callback(self, value)
  - on_change_value DruidEvent DruidEvent
pos
  Current pin node position
  - pos vector3
start_pos
  Start pin node position
  - start_pos vector3
target_pos
  Targer pin node position
  - target_pos vector3
value
  Current slider value
  - value number

generated by LDoc TESTING Last updated 2015-01-01 12:00:00